Bug 113386 - [PATCH] ypbind init script doesn't support DHCP assigned NIS servers
[PATCH] ypbind init script doesn't support DHCP assigned NIS servers
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ypbind (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Klíč
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 09:20 EST by Joshua Weage
Modified: 2013-03-03 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 09:59:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix to ypbind init script to read DHCP provided NIS servers (2.87 KB, text/plain)
2004-01-13 09:22 EST, Joshua Weage
no flags Details

  None (edit)
Description Joshua Weage 2004-01-13 09:20:32 EST
Description of problem:
The ypbind init script doesn't bind to NIS servers provided by DHCP.

Version-Release number of selected component (if applicable):
1.12-1

How reproducible:
Always

Steps to Reproduce:
1.  Enable DHCP
2.  Setup DHCP server to provide NIS server
3.  Clients don't bind to NIS servers
  
Actual results:
NIS not working

Expected results:
ypbind to bind to NIS server.

Additional info:
Comment 1 Joshua Weage 2004-01-13 09:22:07 EST
Created attachment 96942 [details]
Fix to ypbind init script to read DHCP provided NIS servers

This init script will use NIS servers provided by DHCP.  It requres an
additional variable to be set in /etc/sysconfig/network: DHCPNIS=yes
Comment 2 Steve Dickson 2007-04-17 15:59:31 EDT
I did think it was a good idea to have the init script look 
in /etc/yp.conf for the domain name but I didn't think that
action should be governed by DHCP.

Please try ypbind-1.19-9
Comment 3 Karel Klíč 2010-05-10 09:59:23 EDT
The fix will not get into RHEL-3.

Note You need to log in before you can comment on or make changes to this bug.